from nose.tools import assert_equal

from encryptit.string_to_key_specifiers import SimpleS2K
from encryptit.hash_algorithms import SHA1
from encryptit.cipher_algorithms import AES256


def test_generate_key():
    expected = bytes([
        0x0b, 0xee, 0xc7, 0xb5, 0xea, 0x3f, 0x0f, 0xdb, 0xc9, 0x5d, 0x0d, 0xd4,
        0x7f, 0x3c, 0x5b, 0xc2, 0x75, 0xda, 0x8a, 0x33, 0x5a, 0x8c, 0xaa, 0x40,
        0x39, 0xfd, 0xbc, 0x02, 0xc0, 0x1a, 0x64, 0x9c])
    s2k = SimpleS2K(SHA1, AES256, passphrase='foo')
    assert_equal(expected, s2k.key)
